psocksxx::lsockaddr Class Reference

Socket address class for local sockets. More...

`#include <lsockaddr.h>`

Inheritance diagram for psocksxx::lsockaddr:

## Public Member Functions

| lsockaddr (const char *path) throw ()
| constructor More...
socklen_t | size () const throw ()
| get POSIX socket address size More...
::sockaddr * | psockaddr () const throw ()
| get a POSIX socket address structure More...
Public Member Functions inherited from psocksxx::sockaddr
virtual | ~sockaddr ()
| destructor

## Additional Inherited Members

Public Types inherited from psocksxx::sockaddr
enum | address_t { af_unspec = AF_UNSPEC , af_local = AF_LOCAL , af_inet = AF_INET }

## Detailed Description

Socket address class for local sockets.

This class holds the socket addressing structure for local (unix) socket communications.

## Constructor & Destructor Documentation

## lsockaddr()

psocksxx::lsockaddr::lsockaddr | ( | const char * | path | ) |
throw | ( |
| ) |  |

constructor

Parameters

  path | local socket address file path

Create a local socket address instance with the given file path as the socket address.

## Member Function Documentation

## psockaddr()

sockaddr * psocksxx::lsockaddr::psockaddr | ( |  | ) | const
throw | ( |
| ) |  |

virtual

get a POSIX socket address structure

Returns
  POSIX socket address structure

Helper function to get a pointer to the POSIX socket address structure relating to this socket address instance.

Implements psocksxx::sockaddr.

## size()

socklen_t psocksxx::lsockaddr::size | ( |  | ) | const
throw | ( |
| ) |  |

virtual

get POSIX socket address size

Returns
  POSIX address size

Helper function to get the size of the related POSIX socket address.

Implements psocksxx::sockaddr.